<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ClassItem StructType
 * @subpackage Structs
 */
class ClassItem extends AbstractStructBase
{
    /**
     * The Class
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Class;
    /**
     * The AmountOfFine
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $AmountOfFine;
    /**
     * The Seriousness
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Seriousness;
    /**
     * Constructor method for ClassItem
     * @uses ClassItem::setClass()
     * @uses ClassItem::setAmountOfFine()
     * @uses ClassItem::setSeriousness()
     * @param string $class
     * @param string $amountOfFine
     * @param string $seriousness
     */
    public function __construct($class = null, $amountOfFine = null, $seriousness = null)
    {
        $this
            ->setClass($class)
            ->setAmountOfFine($amountOfFine)
            ->setSeriousness($seriousness);
    }
    /**
     * Get Class value
     * @return string|null
     */
    public function getClass()
    {
        return $this->Class;
    }
    /**
     * Set Class value
     * @param string $class
     * @return \StructType\ClassItem
     */
    public function setClass($class = null)
    {
        // validation for constraint: string
        if (!is_null($class) && !is_string($class)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($class, true), gettype($class)), __LINE__);
        }
        $this->Class = $class;
        return $this;
    }
    /**
     * Get AmountOfFine value
     * @return string|null
     */
    public function getAmountOfFine()
    {
        return $this->AmountOfFine;
    }
    /**
     * Set AmountOfFine value
     * @param string $amountOfFine
     * @return \StructType\ClassItem
     */
    public function setAmountOfFine($amountOfFine = null)
    {
        // validation for constraint: string
        if (!is_null($amountOfFine) && !is_string($amountOfFine)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($amountOfFine, true), gettype($amountOfFine)), __LINE__);
        }
        $this->AmountOfFine = $amountOfFine;
        return $this;
    }
    /**
     * Get Seriousness value
     * @return string|null
     */
    public function getSeriousness()
    {
        return $this->Seriousness;
    }
    /**
     * Set Seriousness value
     * @param string $seriousness
     * @return \StructType\ClassItem
     */
    public function setSeriousness($seriousness = null)
    {
        // validation for constraint: string
        if (!is_null($seriousness) && !is_string($seriousness)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($seriousness, true), gettype($seriousness)), __LINE__);
        }
        $this->Seriousness = $seriousness;
        return $this;
    }
}
